#!/usr/bin/make -f
# -*- makefile -*-

INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_autoreconf:
	AUTOMAKE="automake -a -f --foreign" dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-globus-include=/usr/include/globus \
		--with-globus-lib=/dummy \
		--with-tunneldir='$${libdir}/dcap'

override_dh_auto_install:
	dh_auto_install

	rm $(INSTALLDIR)/usr/lib/*/dcap/*.a
	rm $(INSTALLDIR)/usr/lib/*/dcap/*.la

	rm $(INSTALLDIR)/usr/lib/*/*.la

	rm -rf $(INSTALLDIR)/usr/share/doc

override_dh_strip:
	dh_strip --dbgsym-migration='libdcap-dbg (<< 2.47.10-4~), dcap-dbg (<< 2.47.10-4~)'
